Summary: Allows restricted root access for specified users
Name: sudo
Version: 1.8.31p1
Release: 1
License: BSD
Group: Applications/System
URL: http://www.courtesan.com/sudo/
Source0: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz
Source1: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz.sig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc >= 4.5.4-1
BuildRequires: gettext >= 0.10.40-6
BuildRequires: openldap-devel >= 2.4.44-0.1
BuildRequires: openssl-devel >= 1.0.2s-1
BuildRequires: zlib-devel >= 1.2.3-7

Requires: gettext >= 0.10.40-6
Requires: openldap >= 2.4.44-0.1
Requires: openssl >= 1.0.2s-1
Requires: zlib >= 1.2.3-7

%define _pkgdocdir %{_datadir}/doc/%{name}

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.


%package  devel
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files developing sudo
plugins that use %{name}.


%prep
%setup -q
rm -rf zlib/


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# starting with version 1.8.8 we need GNU GCC to compile
export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --sbindir=%{_sbindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --with-logging=syslog \
    --with-logfac=auth \
    --without-pam \
    --with-editor=/usr/bin/vi \
    --with-env-editor \
    --with-ignore-dot \
    --with-aixauth \
    --with-ldap \
    --with-passprompt="[sudo] password for %p: " \
    --with-tty-tickets
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/* 

mkdir -p ${RPM_BUILD_ROOT}/var/run/%{name}
chmod 0700 ${RPM_BUILD_ROOT}/var/run/%{name}

# don't package LICENSE as a doc
rm -rf ${RPM_BUILD_ROOT}%{_pkgdocdir}/LICENSE

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
cd ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
ln -s /etc/rc.d/init.d/sudo S90sudo

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin include
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


# Make sure permissions are ok even if we're updating
%post
/usr/bin/chmod 0440 /etc/sudoers || :


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc doc/HISTORY doc/LICENSE README doc/TROUBLESHOOTING doc/UPGRADE
%attr(0440,root,system) %config(noreplace) /etc/sudoers
%attr(0750,root,system) %dir /etc/sudoers.d
%dir /var/run/%{name}
%attr(0711,root,system) %dir /var/lib/%{name}
%attr(4111,root,system) %{_bindir}/sudo
%attr(4111,root,system) %{_bindir}/sudoedit
%attr(4111,root,system) %{_bindir}/sudoreplay
%attr(0755,root,system) %{_sbindir}/visudo
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*.so*
%{_mandir}/man5/*
%{_mandir}/man8/sudo.8*
%{_mandir}/man8/sudoedit.8*
%{_mandir}/man8/sudoreplay.8*
%{_mandir}/man8/visudo.8*
%{_datadir}/locale/*/*/*
%{_pkgdocdir}/*
/etc/rc.d/init.d/*
/etc/rc.d/rc2.d/*
/usr/bin/*
/usr/sbin/*


%files devel
%defattr(-,root,system,-)
%doc plugins/sample/sample_plugin.c
%{_includedir}/sudo_plugin.h
%{_mandir}/man8/sudo_plugin.8*
%{_libexecdir}/%{name}/*.la
/usr/include/*


%changelog
* Mon Mar 23 2020 Michael Perzl <michael@perzl.org> - 1.8.31p1-1
- updated to version 1.8.31p1

* Tue Feb 11 2020 Michael Perzl <michael@perzl.org> - 1.8.31-1
- updated to version 1.8.31

* Tue Feb 11 2020 Michael Perzl <michael@perzl.org> - 1.8.30-1
- updated to version 1.8.30

* Mon Nov 04 2019 Michael Perzl <michael@perzl.org> - 1.8.29-1
- updated to version 1.8.29

* Mon Nov 04 2019 Michael Perzl <michael@perzl.org> - 1.8.28p1-1
- updated to version 1.8.28p1

* Mon Nov 04 2019 Michael Perzl <michael@perzl.org> - 1.8.28-1
- updated to version 1.8.28

* Fri Mar 29 2019 Michael Perzl <michael@perzl.org> - 1.8.27-1
- updated to version 1.8.27

* Wed Nov 14 2018 Michael Perzl <michael@perzl.org> - 1.8.26-1
- updated to version 1.8.26

* Fri Oct 05 2018 Michael Perzl <michael@perzl.org> - 1.8.25p1-1
- updated to version 1.8.25p1

* Fri Oct 05 2018 Michael Perzl <michael@perzl.org> - 1.8.25-1
- updated to version 1.8.25

* Fri Oct 05 2018 Michael Perzl <michael@perzl.org> - 1.8.24-1
- updated to version 1.8.24

* Tue Jun 12 2018 Michael Perzl <michael@perzl.org> - 1.8.23-1
- updated to version 1.8.23

* Thu Jan 18 2018 Michael Perzl <michael@perzl.org> - 1.8.22-1
- updated to version 1.8.22

* Thu Sep 07 2017 Michael Perzl <michael@perzl.org> - 1.8.21p2-1
- updated to version 1.8.21p2

* Mon Sep 04 2017 Michael Perzl <michael@perzl.org> - 1.8.21p1-1
- updated to version 1.8.21p1

* Mon Sep 04 2017 Michael Perzl <michael@perzl.org> - 1.8.21-1
- updated to version 1.8.21

* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 1.8.20p2-1
- updated to version 1.8.20p2

* Tue May 30 2017 Michael Perzl <michael@perzl.org> - 1.8.20p1-1
- updated to version 1.8.20p1

* Thu May 11 2017 Michael Perzl <michael@perzl.org> - 1.8.20-1
- updated to version 1.8.20

* Mon Jan 16 2017 Michael Perzl <michael@perzl.org> - 1.8.19p2-1
- updated to version 1.8.19p2

* Wed Dec 21 2016 Michael Perzl <michael@perzl.org> - 1.8.19p1-1
- updated to version 1.8.19p1

* Wed Dec 21 2016 Michael Perzl <michael@perzl.org> - 1.8.19-1
- updated to version 1.8.19

* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 1.8.18p1-2
- recompiled against latest versions

* Fri Oct 14 2016 Michael Perzl <michael@perzl.org> - 1.8.18p1-1
- updated to version 1.8.18p1

* Wed Sep 21 2016 Michael Perzl <michael@perzl.org> - 1.8.18-1
- updated to version 1.8.18

* Wed Jun 29 2016 Michael Perzl <michael@perzl.org> - 1.8.17p1-1
- updated to version 1.8.17p1

* Wed Jun 29 2016 Michael Perzl <michael@perzl.org> - 1.8.17-1
- updated to version 1.8.17

* Fri Mar 18 2016 Michael Perzl <michael@perzl.org> - 1.8.16-1
- updated to version 1.8.16

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 1.8.15-2
- recompiled against latest version of openssl

* Tue Nov 03 2015 Michael Perzl <michael@perzl.org> - 1.8.15-1
- updated to version 1.8.15

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 1.8.14p3-1
- updated to version 1.8.14p3

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 1.8.14p2-1
- updated to version 1.8.14p2

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 1.8.14p1-1
- updated to version 1.8.14p1

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 1.8.14-1
- updated to version 1.8.14

* Tue Mar 24 2015 Michael Perzl <michael@perzl.org> - 1.8.13-1
- updated to version 1.8.13

* Tue Feb 10 2015 Michael Perzl <michael@perzl.org> - 1.8.12-1
- updated to version 1.8.12

* Mon Nov 03 2014 Michael Perzl <michael@perzl.org> - 1.8.11p2-1
- updated to version 1.8.11p2

* Mon Nov 03 2014 Michael Perzl <michael@perzl.org> - 1.8.11p1-2
- added a devel-package
- added missing shared libraries and other files

* Wed Oct 08 2014 Michael Perzl <michael@perzl.org> - 1.8.11p1-1
- updated to version 1.8.11p1

* Thu Sep 25 2014 Michael Perzl <michael@perzl.org> - 1.8.11-1
- updated to version 1.8.11

* Thu May 08 2014 Michael Perzl <michael@perzl.org> - 1.8.10p3-1
- updated to version 1.8.10p3

* Tue Mar 18 2014 Michael Perzl <michael@perzl.org> - 1.8.10p2-1
- updated to version 1.8.10p2

* Mon Mar 17 2014 Michael Perzl <michael@perzl.org> - 1.8.10p1-1
- updated to version 1.8.10p1

* Mon Mar 10 2014 Michael Perzl <michael@perzl.org> - 1.8.10-1
- updated to version 1.8.10

* Thu Feb 06 2014 Michael Perzl <michael@perzl.org> - 1.8.9p5-1
- updated to version 1.8.9p5

* Tue Jan 21 2014 Michael Perzl <michael@perzl.org> - 1.8.9p4-1
- updated to version 1.8.9p4

* Tue Jan 21 2014 Michael Perzl <michael@perzl.org> - 1.8.9p3-1
- updated to version 1.8.9p3

* Tue Jan 21 2014 Michael Perzl <michael@perzl.org> - 1.8.9p2-1
- updated to version 1.8.9p2

* Mon Jan 13 2014 Michael Perzl <michael@perzl.org> - 1.8.9p1-1
- updated to version 1.8.9p1

* Mon Jan 13 2014 Michael Perzl <michael@perzl.org> - 1.8.9-1
- updated to version 1.8.9

* Tue Oct 08 2013 Michael Perzl <michael@perzl.org> - 1.8.8-1
- updated to version 1.8.8

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.8.7-1
- updated to version 1.8.7

* Sun Apr 14 2013 Michael Perzl <michael@perzl.org> - 1.8.6p8-1
- updated to version 1.8.6p8

* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 1.8.6p7-1
- updated to version 1.8.6p7

* Fri Feb 01 2013 Michael Perzl <michael@perzl.org> - 1.8.6p6-1
- updated to version 1.8.6p6

* Mon Jan 28 2013 Michael Perzl <michael@perzl.org> - 1.8.6p5-1
- updated to version 1.8.6p5

* Thu Jan 17 2013 Michael Perzl <michael@perzl.org> - 1.8.6p4-1
- updated to version 1.8.6p4

* Mon Sep 24 2012 Michael Perzl <michael@perzl.org> - 1.8.6p3-1
- updated to version 1.8.6p3

* Tue Sep 18 2012 Michael Perzl <michael@perzl.org> - 1.8.6p2-1
- updated to version 1.8.6p2

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 1.8.6p1-1
- updated to version 1.8.6p1

* Thu Sep 06 2012 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Mon Aug 20 2012 Michael Perzl <michael@perzl.org> - 1.8.5p3-1
- updated to version 1.8.5p3

* Fri Jun 01 2012 Michael Perzl <michael@perzl.org> - 1.8.5p2-1
- updated to version 1.8.5p2

* Fri May 18 2012 Michael Perzl <michael@perzl.org> - 1.8.5p1-1
- updated to version 1.8.5p1

* Fri May 18 2012 Michael Perzl <michael@perzl.org> - 1.8.4p5-1
- updated to version 1.8.4p5

* Wed Mar 14 2012 Michael Perzl <michael@perzl.org> - 1.8.4p4-1
- updated to version 1.8.4p4

* Thu Mar 01 2012 Michael Perzl <michael@perzl.org> - 1.8.4p2-1
- updated to version 1.8.4p2

* Tue Feb 21 2012 Michael Perzl <michael@perzl.org> - 1.8.4p1-1
- updated to version 1.8.4p1

* Tue Jan 31 2012 Michael Perzl <michael@perzl.org> - 1.8.3p2-1
- updated to version 1.8.3p2

* Thu Oct 27 2011 Michael Perzl <michael@perzl.org> - 1.8.3p1-1
- updated to version 1.8.3p1

* Mon Oct 24 2011 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Mon Aug 22 2011 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Tue May 17 2011 Michael Perzl <michael@perzl.org> - 1.8.1p2-1
- updated to version 1.8.1p2

* Tue Apr 19 2011 Michael Perzl <michael@perzl.org> - 1.8.1p1-1
- updated to version 1.8.1p1

* Wed Apr 13 2011 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Thu Mar 10 2011 Michael Perzl <michael@perzl.org> - 1.8.0-2
- fixed wrong packaging of version 1.8.0-1

* Mon Mar 07 2011 Michael Perzl <michael@perzl.org> - 1.8.0-1
- linked against OpenLDAP and thus introduced a dependency on openldap
- updated to version 1.8.0

* Mon Mar 07 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 1.7.4p6-1
- updated to version 1.7.4p6

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 1.7.4p5-1
- updated to version 1.7.4p5

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 1.7.4p4-1
- updated to version 1.7.4p4

* Mon Aug 09 2010 Michael Perzl <michael@perzl.org> - 1.7.4p2-1
- updated to version 1.7.4p2

* Tue Aug 03 2010 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.3-1
- updated to version 1.7.3

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p8-1
- updated to version 1.7.2p8

* Tue Jun 22 2010 Michael Perzl <michael@perzl.org> - 1.7.2p7-1
- updated to version 1.7.2p7

* Sun Mar 07 2010 Michael Perzl <michael@perzl.org> - 1.7.2p5-1
- updated to version 1.7.2p5

* Mon Mar 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p4-1
- updated to version 1.7.2p4

* Sun Feb 21 2010 Michael Perzl <michael@perzl.org> - 1.7.2p3-1
- updated to version 1.7.2p3

* Tue Dec 08 2009 Michael Perzl <michael@perzl.org> - 1.7.2p2-1
- updated to version 1.7.2p2

* Fri Aug 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2p1-1
- updated to version 1.7.2p1

* Tue Jul 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Mon Apr 20 2009 Michael Perzl <michael@perzl.org> - 1.7.1-1
- updated to version 1.7.1

* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 1.7.0-1
- updated to version 1.7.0

* Sat Nov 15 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc5-1
- updated to version 1.7.0rc5

* Wed Jul 16 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc2-1
- updated to version 1.7.0rc2

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.7b4-1
- updated to version 1.7b4

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.6.9p15-1
- updated to version 1.6.9p15

* Mon Mar 24 2008 Michael Perzl <michael@perzl.org> - 1.6.9p14-1
- first version for AIX V5.1 and higher
